Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package doc
  Definition Classes
    nsc
-  package model
  Definition Classes
    doc
-  package diagram
  Definition Classes
    model
- AbstractType
- AliasType
- Annotation
- BoundedTypeParamConstraint
- Class
- CommentFactory
- Constraint
- Constructor
- Def
- DocTemplateEntity
- Entity
- EqualTypeParamConstraint
- HigherKinded
- ImplicitConversion
- ImplicitInScopeConstraint
- ImplicitMemberShadowing
- IndexModelFactory
- KnownTypeClassConstraint
- LowerBoundedTypeParamConstraint
- MemberEntity
- MemberLookup
- MemberTemplateEntity
- ModelFactory
- ModelFactoryImplicitSupport
- ModelFactoryTypeSupport
- NoDocTemplate
- NonTemplateMemberEntity
- Object
- Package
- ParameterEntity
- PrivateInInstance
- PrivateInTemplate
- ProtectedInInstance
- ProtectedInTemplate
- Public
- RootPackage
- TemplateEntity
- Trait
- TreeEntity
- TreeFactory
- TypeClassConstraint
- TypeEntity
- TypeParam
- TypeParamConstraint
- UpperBoundedTypeParamConstraint
- Val
- ValueArgument
- ValueParam
- Visibility

t

scala.tools.nsc.doc.model

# KnownTypeClassConstraint 

###

#### trait KnownTypeClassConstraint extends TypeClassConstraint

Source
  Entity.scala

Linear Supertypes
TypeClassConstraint, TypeParamConstraint, ImplicitInScopeConstraint, Constraint, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. KnownTypeClassConstraint
2. TypeClassConstraint
3. TypeParamConstraint
4. ImplicitInScopeConstraint
5. Constraint
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def implicitType: TypeEntity

   The type of the implicit value required

   The type of the implicit value required

   Definition Classes
     ImplicitInScopeConstraint
2.  abstract def typeClassEntity: TemplateEntity

   Type class name

   Type class name

   Definition Classes
     TypeClassConstraint
3.  abstract def typeExplanation: (String) ⇒ String

   Type explanation, takes the type parameter name and generates the explanation

4.  abstract def typeParamName: String

   The type parameter involved

   The type parameter involved

   Definition Classes
     TypeParamConstraint

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from KnownTypeClassConstraint to any2stringadd[KnownTypeClassConstraint] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (KnownTypeClassConstraint, B)
   Implicit
     This member is added by an implicit conversion from KnownTypeClassConstraint to ArrowAssoc[KnownTypeClassConstraint] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (KnownTypeClassConstraint) ⇒ Boolean, msg: ⇒ Any): KnownTypeClassConstraint
   Implicit
     This member is added by an implicit conversion from KnownTypeClassConstraint to Ensuring[KnownTypeClassConstraint] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (KnownTypeClassConstraint) ⇒ Boolean): KnownTypeClassConstraint
   Implicit
     This member is added by an implicit conversion from KnownTypeClassConstraint to Ensuring[KnownTypeClassConstraint] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): KnownTypeClassConstraint
    Implicit
      This member is added by an implicit conversion from KnownTypeClassConstraint to Ensuring[KnownTypeClassConstraint] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): KnownTypeClassConstraint
    Implicit
      This member is added by an implicit conversion from KnownTypeClassConstraint to Ensuring[KnownTypeClassConstraint] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from KnownTypeClassConstraint to StringFormat[KnownTypeClassConstraint] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): java.lang.Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String

    toString for debugging

    toString for debugging

    Definition Classes
      KnownTypeClassConstraint → TypeClassConstraint → ImplicitInScopeConstraint → AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  def →[B](y: B): (KnownTypeClassConstraint, B)
    Implicit
      This member is added by an implicit conversion from KnownTypeClassConstraint to ArrowAssoc[KnownTypeClassConstraint] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from TypeClassConstraint

### Inherited from TypeParamConstraint

### Inherited from ImplicitInScopeConstraint

### Inherited from Constraint

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from KnownTypeClassConstraint to any2stringadd[KnownTypeClassConstraint]

### Inherited by implicit conversion StringFormat from KnownTypeClassConstraint to StringFormat[KnownTypeClassConstraint]

### Inherited by implicit conversion Ensuring from KnownTypeClassConstraint to Ensuring[KnownTypeClassConstraint]

### Inherited by implicit conversion ArrowAssoc from KnownTypeClassConstraint to ArrowAssoc[KnownTypeClassConstraint]

### Ungrouped